Subject: Re: ''git submodule sync'' should not add uninitialized submodules to .git/config

From: Phil Hord <[email-masked]>
Date: Thu, 23 Jun 2011 09:39:42 -0400

On 06/23/2011 07:13 AM, Maarten Billemont wrote:
> When I initialize 2/3 submodules of my git repository and do git submodule update, all is fine: Only the 2 submodules that I need are updated.
>
> When I run a git submodule sync to update the URLs that may have been changed in .gitmodules, it ADDS the URL of the submodule that was NOT initialized, thus "initializing" it.
>
> Now, when I run git submodule update, it starts checking out the third module and my workflow is broken.
>
> git submodule sync should not add entries to .git/config, only update existing ones.--

Maarten,

Is it enough to similarly limit 'submodule sync' the same way you did
with 'submodule init'? Like this:
git submodule sync -- A B

From 'git help submodule':
"git submodule sync" synchronizes all submodules while "git submodule
sync — A" synchronizes submodule "A" only.

Phil